?

Log in

No account? Create an account

Previous Entry | Next Entry

Memo to half the sites on the internet:

I am ALREADY USING Firefox 3.6.3. Kindly stop telling me I need to upgrade it.

Especially if you are the $*(#&%# Mozilla development site and won't let me download the current version of a plug-in!

Edit: Ah-HA!!

Comments

( 2 comments — Leave a comment )
maiac
Apr. 28th, 2010 10:53 am (UTC)
wiliqueen
Apr. 28th, 2010 12:07 pm (UTC)
*splorfle*
( 2 comments — Leave a comment )

Profile

sugarplum
wiliqueen
Valerie - Postmodern Pollyanna
WiliQueen's Woods

Latest Month

November 2016
S M T W T F S
  12345
6789101112
13141516171819
20212223242526
27282930   

Tags

Page Summary

Powered by LiveJournal.com
Designed by chasethestars